<form id="salesAddFrm" class="form-horizontal" method="POST">
  <section>
    <div class="sec01">
      <h2 class="tpcirle">販売登録</h2>

      <div class="labelTxt">
        <div style="background-color:rgb(156, 238, 153);line-height:200%"><b>販売見積基本情報</b></div>
      </div>

      <br class="clear" />

      <% if(sales.id) { %>
      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt">ID</div>
          <p><input readonly type="text" name="sales[id]" autocomplete="off" value="<%= sales.id %>" />
          </p>
        </div>
      </div>
      <input hidden type="text" name="sales[updatedAt]" value="<%= sales.updatedAt %>" />
      <br class="clear" />
      <% } %>

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt needTxt">加盟店ID</div>
          <p><input type="text" name="companyId" autocomplete="off" value="<%= companyId %>" />
          </p>
        </div>
      </div>
      <br class="clear" />

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt needTxt">区分</div>
          <p>
            <select name="sales[type]">
              <option value="">-</option>
              <% for (const key of Object.keys(valueLst.salesTypes)) if (!isNaN(key)) { %>
                <option value="<%= key %>" <%= isSelected(sales.type && sales.type.toString(), key) %>>
                  <%= valueLst.salesTypes[key] %>
                </option>
              <% } %>
            </select>          
          </p>
        </div>
      </div>

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt needTxt">販売日</div>
            <p><input type="text" name="sales[salesDate]" autocomplete="off" value="<%= sales.salesDate %>" />
        </div>
      </div>

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt needTxt">支払方法 </div>
            <p><input type="text" name="sales[paymentMethod]" autocomplete="off" value="<%= sales.paymentMethod %>" />
        </div>
      </div>

      <br class="clear" />

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt needTxt">販売予定価格（税抜）</div>
          <p><input type="text" name="sales[plannedSalesPriceWithoutTax]" autocomplete="off" value="667" readonly/>
          </p>
        </div>
      </div>

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt needTxt">販売予定価格（税込）</div>
          <p><input type="text" name="sales[plannedSalesPriceWithTax]" autocomplete="off" value="1000" readonly/>
          </p>
        </div>
      </div>
      <br class="clear" />

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt needTxt">経費・加修費合計額（税抜）</div>
          <p><input type="text" name="sales[carSgaRepairSumWithoutTax]" autocomplete="off" value="667" readonly/>
          </p>
        </div>
      </div>

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt needTxt">経費・加修費合計額（税込）</div>
          <p><input type="text" name="sales[carSgaRepairSumWithTax]" autocomplete="off" value="1000" readonly/>
          </p>
        </div>
      </div>
      <br class="clear" />

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt needTxt">discount</div>
          <p><input type="text" name="sales[discount]" autocomplete="off" value="1" readonly/>
          </p>
        </div>
      </div>
      <br class="clear" />

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt needTxt">お支払金額(税抜) </div>
          <p><input type="text" name="sales[salesAmountWithoutTax]" autocomplete="off" value="667" readonly/>
          </p>
        </div>
      </div>

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt needTxt">お支払金額(税込) </div>
          <p><input type="text" name="sales[salesAmountWithTax]" autocomplete="off" value="1000" readonly/>
          </p>
        </div>
      </div>
      <br class="clear" />
    </div>
  </section>
  <section id="customerSearch">
    <div class="sec01">
      <div class="labelTxt">
        <p style="background:rgb(192, 170, 243);line-height:200%"><b>顧客情報</b></p>
      </div>

      <br class="clear" />

      <div class="boxFrame">
        <% if(sales.id) { %>
          <button type="button">顧客情報詳細</button>
        <% } else {%>
          <button type="button" @click="showModalCustomer = true">顧客検索</button>
        <% } %>
      </div>
      <br class="clear" />

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt">顧客ID</div>
          <p><input type="text" name="customer[id]" readonly value="<%= customer.id %>" /></p>
        </div>
      </div>
      <br class="clear" />

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">顧客カナ</div>
          <p><input type="text" name="customer[nameKana]" readonly value="<%= customer.nameKana %>" /></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">顧客名</div>
          <p><input type="text" name="customer[name]" readonly value="<%= customer.name %>" /></p>
        </div>
      </div>

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt">生年月日</div>
          <p><input type="text" name="customer[birthday]" readonly value="<%= customer.birthday %>" /></p>
        </div>
      </div>

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt">郵便番号</div>
          <p><input type="text" name="customer[zipcode]" readonly value="<%= customer.zipcode %>" /></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">住所</div>
          <p><input type="text" name="customer[address]" readonly value="<%= customer.address %>" /></p>
        </div>
      </div>

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt">電話番号</div>
          <p><input type="text" name="customer[tel]" readonly value="<%= customer.tel %>" /></p>
        </div>
      </div>

      <div class="boxFrame">
        <div class="inputBox">
          <div class="labelTxt">携帯番号</div>
          <p><input type="text" name="customer[cellPhone]" readonly value="<%= customer.cellPhone %>" /></p>
        </div>
      </div>
    </div>
  </section>
  <section id="carSearch">
    <div class="sec01">
      <div class="labelTxt"><p style="background:rgb(241, 191, 243);line-height:200%"><b>販売車両情報</b></p></div>

      <br class="clear" />

      <div class="boxFrame">
        <% if(sales.id) { %>
          <button type="button">車両情報詳細</button>
        <% } else {%>
          <button type="button" readonly>車両検索</button>
        <% } %>
      </div>
      <br class="clear" />

      <div class="boxFrame">
          <div class="inputBox">
              <div class="labelTxt">車両ID(要否確認)</div>
              <p><input type="text" name="car[id]" value="<%= car.id%>"/></p>
          </div>
      </div>
      <br class="clear" />
    </div>
  </section>
  <div class="serchButton alCenter">
    <button type="submit">登録</button>
  </div>
  <br class="clear" />
</form>

<script src="/build/js/sales/form.js"></script>